### Method

# Phosh StatusIcon set_icon_name

#### Declaration [src]

    void
    phosh_status_icon_set_icon_name (
      PhoshStatusIcon* self,
      const char* icon_name
    )

#### Description

No description available.

Sets property | `Phosh.StatusIcon:icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.